Bug 829384 - rhts-lint does not exit with non-zero status code on error
rhts-lint does not exit with non-zero status code on error
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.8
All All
medium Severity medium (vote)
: 0.9.1
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 11:10 EDT by Miroslav Franc
Modified: 2012-07-19 20:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-19 20:38:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Franc 2012-06-06 11:10:45 EDT
Description of problem:
Script rhts-lint does not follow unix convetion and does not return non-zero code upon exit. I hit this when I wanted to utilize the script for pre-commit checks. I have a git hook that finds all changed Makefiles and runs the rule with rhts-lint at the end. Unfortunately make ends with success. I know I could work around this by scanning output for errors, but I still consider this a bug.


Version-Release number of selected component (if applicable):
latest


How reproducible:
always


Steps to Reproduce:
1. echo 'Name:            NONSENSE' > file
2. rhts-lint ./file
3. echo $?

  
Actual results:
file:1: error: Name field does not begin with a forward-slash
file:1: error: Description field not defined
file:1: error: Path field not defined
file:1: error: TestTime field not defined
file:1: error: TestVersion field not defined
file:1: error: License field not defined
file:1: error: Owner field not defined

0



Expected results:
file:1: error: Name field does not begin with a forward-slash
file:1: error: Description field not defined
file:1: error: Path field not defined
file:1: error: TestTime field not defined
file:1: error: TestVersion field not defined
file:1: error: License field not defined
file:1: error: Owner field not defined

1

Additional info:
Comment 1 Dan Callaghan 2012-07-06 01:05:22 EDT
This would pair up nicely with bug 786682.
Comment 2 Dan Callaghan 2012-07-06 03:09:50 EDT
On Gerrit: http://gerrit.beaker-project.org/1183

I was worried about this change breaking people's Makefiles, but Beaker already refuses to accept a task if the testinfo parser raises any warnings or errors, so I think this should be fine.
Comment 5 Dan Callaghan 2012-07-19 20:38:42 EDT
Beaker 0.9.1 has been released.

Note You need to log in before you can comment on or make changes to this bug.